<?PHP
$m = 'State';
$berogui_path = "/usr/local/www/berogui";

/* [CHECKING SESSION] */
$newTarget = "/app/berogui/index.php?m=$m";
include($berogui_path .'/includes/session.php');
unset($newTarget);

/* [INCLUDE] */
include($berogui_path ."/includes/isgwtelnet.php");
include_once($berogui_path ."/includes/Helper/Helper.php");

$exec_ajax = 1;
$invalid = array();

/* [CHECKING GET REQUEST] */
unset($_GET);

/* [CHECKING POST REQUEST] */
$list_post = array('lif_gsm' => 'int>=0', 'port_gsm' => 'int>=0', 'port' => 'int>=0');

$_POST = Helper::sanitizePost($_POST, $list_post, $exec_ajax, $invalid);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
        echo "<script>window.location='../../index.php?m=$m&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
        exit(1);
}

$isgw = new isgwtelnet();
if (($result = $isgw->isgw_login()) == false) {
	echo "<script>window.location='../../index.php?m=$m&isgwerror=1'</script>";
	exit(1);
}

$restarted = '';
if (isset($_POST['port'])) {
	$isgw_response = $isgw->port_restart($_POST['port']);
	$restarted = "&restarted=". (preg_match('/OK/', $isgw_response) == 1) ? 1 : 0;
}
else if ($_POST['lif_gsm']) {
	// TODO: must be tested
	$isgw_response = $isgw->port_restart_gsm($_POST['port_gsm'], $_POST['lif_gsm']);	
	$resarted = "&restared=". (preg_match('/finished/', $isgw_response) == 1) ? 1 : 0; 
}

echo "<script>window.location='../../index.php?m=$m&restarted=$restarted'</script>";
exit(1);
?>
